#include<bits/stdc++.h>
using namespace std;
long long masiv[1000001];
int main(){
    long long N,K;
    cin>>N>>K;
    long long br1 = 0;
    for(long long a=0;a<N;a++){
        cin>>masiv[a];
        if(br1<K){
           if(masiv[a]==1){
            br1++;
        }
        if(masiv[a]==2){
            br1++;
        }
    }
    }
    if(br1==K){
        cout<<"1";
    }
    else{
        cout<<"0";
    }
return 0;
}
